import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Point;

/**
 * Write a description of class Window here.
 * 
 * @author Taylor Born
 * @version November 2010
 */
import java.awt.Color;
public class Graph  extends Actor
{
    int xMin = -10;
    int xMax = 10;
    int yMin = -10;
    int yMax = 10;
    
    private double xi = 200 / (Math.abs(xMin) + Math.abs(xMax));
    private double yi = 200 / (Math.abs(yMin) + Math.abs(yMax));
    
    double xIncr = Math.abs(xMax - xMin) / 200d;
    
    //private Point last;
    
    public Graph()
    {
        clear();
    }
    public void clear()
    {
        GreenfootImage pic = new GreenfootImage(200, 200);
        pic.setColor(Color.RED);
        pic.drawLine(0, (int)((Math.abs(yMin) + Math.abs(yMax)) / 2d * yi), 200, (int)((Math.abs(yMin) + Math.abs(yMax)) / 2d * yi));
        pic.drawLine((int)((Math.abs(xMin) + Math.abs(xMax)) / 2d * xi), 0, (int)((Math.abs(xMin) + Math.abs(xMax)) / 2d * xi), 200);
        pic.setColor(Color.BLACK);
        pic.drawRect(0, 0, 199, 199);
        //last = null;
        setImage(pic);
    }
    public void plot(double xx, double yy)
    {
        int x = (int)(xx * xi + (Math.abs(xMin) + Math.abs(xMax)) / 2d * xi);
        int y = (int)((Math.abs(yMin) + Math.abs(yMax)) / 2d * yi - yy * yi);
//         if ((yy + "").contains("Infinity"))
//             last = null;
//         else
//         {
            if (x > -1 && x < 200 && y > -1 && y < 200)
                getImage().setColorAt(x, y, Color.BLACK);
//             if (last != null)
//                 getImage().drawLine(last.getX(), last.getY(), x, y);
//             last = new Point(x, y);
//         }
        
    }
}